implicit real*8(a-h,o-z)
         dimension x(10000),y(10000),z(10000)
b=6.d-2
ell=1.
nx=2.
nz=1000.
! 1要素のx,y,z方向の長さ：xn,yn,zn
         xn=b/nx
         zn=ell/nz
!
print*, '3DG2'
!
print*, (nx+1)*(nz+1)
! 節点番号ごとの節点座標
! 節点番号：nset
           nset=0
        do k=0,nz
        do i=0,nx
           nset=nset+1
           x(nset)=xn*i
           y(nset)=0.d0
           z(nset)=zn*k
        print*, x(nset),',',y(nset),',',z(nset)
         end do
         end do
!
!
! 要素番号とその要素の8節点の節点番号
         nyou=0
        do k=1,nz
        do i=1,nx
         nyou=nyou+1

         n1=(nx+1)*(k-1)+i
         n2=n1+1
         n3=n1+(nx+1)
         n4=n3+1
print*, 4,',',n1-1,',',n2-1,',',n4-1,',',n3-1,',','0xcccccc'
         end do
         end do
!
write(*,'("#")')
!
end
